Get a carbon credit quote for electricity consumption
curl --request POST \
--url https://carbon-engine.onrender.com/v1/quotes/electricity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"electricityConsumed": 123,
"pricePaid": 123,
"portfolio_id": "<string>"
}
'import requests
url = "https://carbon-engine.onrender.com/v1/quotes/electricity"
payload = {
"electricityConsumed": 123,
"pricePaid": 123,
"portfolio_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({electricityConsumed: 123, pricePaid: 123, portfolio_id: '<string>'})
};
fetch('https://carbon-engine.onrender.com/v1/quotes/electricity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount_kg": 123,
"price_sar_halalas": 123
}{
"error": 123,
"message": "<string>"
}Quotes
Get Quote for Electricity Consumption
Get a price quote for offsetting the given amount of electricity consumption.
POST
/
v1
/
quotes
/
electricity
Get a carbon credit quote for electricity consumption
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Electricity consumed, in kW.
How much was paid for the amount of electricity consumed.
Optional ID of the portfolio to use for the quote. The quote will be for an order fulfilled from this portfolio. If not specified, the account's default portfolio will be used.
⌘I
